Le 31/10/2014 13:10, Javier Garcia Ramos a écrit :
Hi.

I use jOpenDocument 1.3 and I get this Exception when
JavaScriptFileTemplate is created. This exception occurs when the template
has been saved with Open office writer. I've seen that the problem is that
xml's like content.xml and styles.xml dont have property
office:version="1.2" on office:document-meta node. If I edit these xml's
and I add office:version="1.2" works fine.

When the template is opened with libre office, you make some modification
and save it, works fine, but when the template is created or modified by
open office, the exception is thrown when JavaScriptFileTemplate is
instantiated.

I've tried updating library version to 1.4rc1 or rc2, but problem is still
happening.
I've tried saving template with openoffice changing ODF version on
(tools/options/Load/Save/General) but problem is still happening.
I've tried to use old class RhinoTempalte but problem is still happening.

There are some workaround or patch to avoid this error?

I've fixed a bug about that with Microsoft Office generated documents, but it's the first I've heard about an OpenOffice document. Can you send the file and tell me which version of OpenOffice generated it ?

Cheers,
Sylvain

--

--- You received this message because you are subscribed to the Google Groups "jOpenDocument" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to jopendocument+unsubscr...@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to